CREATE TABLE if not exists notification_info (
    id integer NOT NULL primary key,
    detail text,
    year smallint,
    month smallint,
    day smallint,
    "time" time,
    level character varying(255),
    read smallint,
    -- Joey@20160818: for notification reaction features
    grade smallint,
    objtype integer,
    objkey character varying(255),
    objvalue character varying(255),
    reactiontype integer,
    reactionresult smallint,
    remark text,
    reactionerrorinfo text,
    srcmod character varying(64),
    srcid bigint
);

