#!/bin/bash
#updated by yangli.wang@cs2c.com.cn in 2016.7.27 for HA7.0
#writen by qi.li
#TODOLIST HA resource alarm


SQL="sqlite3"
DB_FILE="/usr/share/heartbeat-gui/ha-api/audit.db"


local_sql(){
        while :
        do
                $SQL ${DB_FILE} "$1" 2> /dev/null
                case $? in
                5|6)    # locked
                        sleep 1
                        ;;
                *)
                        break
                esac
        done
}


alarm_send_to_db()
{

        local dc_node
        local YEAR MONTH DAY TIME TIME_STR WARNNING_LEVEL READ_DONE WARNNING_DETAIL
	 
        WARNNING_DETAIL=$1
	check_string=$2

        [ $CRM_notify_rc -gt 0 ] || return 1

        dc_node=`crm_mon -1 | awk '/Current DC:/{print $3}'`
        HOST_NAME=`hostname`
        [ $dc_node = $HOST_NAME ] || return 1

        YEAR=`date +%Y`
        MONTH=`date +%m`
        DAY=`date +%d`
        TIME=`date +%H:%M:%S`
        TIME_STR="'$TIME'" 
        WARNNING_LEVEL="'2r0'"
        READ_DONE=0
        WARNNING_DETAIL="$WARNNING_DETAIL""$check_string"
	WARNNING_DETAIL="'$WARNNING_DETAIL'"

	local_sql "insert into  notification_info (detail, year, month, day,time, level, read) VALUES ( $WARNNING_DETAIL,$YEAR,$MONTH,$DAY,$TIME_STR,$WARNNING_LEVEL,$READ_DONE)"  

}

        WARNNING_DETAIL="Resource $CRM_notify_rsc $CRM_notify_task on $CRM_notify_node failed ($CRM_notify_desc)."
        check_string="Please check the resource-parameters and system environment."
        alarm_send_to_db "${WARNNING_DETAIL}" "${check_string}"

