#!/usr/bin/python
# -*-coding:utf-8-*-
# coding: iso-8859-15

import unittest
import sys
sys.path.append('../')
from config import *


data = {
        "hbinfo": [
            {
                "bindnetaddr": "10.1.110.0",
                "broadcast": "yes",
                "hbaddrs": [
                    {
                        "ip": "10.1.110.127",
                        "nodeid": "ns127"
                    },
                    {
                        "ip": "10.1.110.128",
                        "nodeid": "ns128"
                    }
                ],
                "mcastport": 1235,
                "ringnumber": 0
            },
            {
                "bindnetaddr": "10.1.110.0",
                "hbaddrs": [
                    {
                        "ip": "10.1.110.127",
                        "nodeid": "ns127"
                    },
                    {
                        "ip": "10.1.110.128",
                        "nodeid": "ns128"
                    }
                ],
                "mcastport": 2300,
                "ringnumber": 1
            }

        ]
    }


class TestConfigFunc(unittest.TestCase):
    """ Test config func"""

    # 测试获取单播心跳信息
    def test_get_hb_config(self):
        get_hb_config_org(True)
    # 测试存储单播心跳信息
    def test_save_hb_config(self):
	 save_hb_conf(data)

if __name__ == '__main__':
    unittest.main() 
